#!/bin/sh
netCardName=$1
filePath=$2

OS_UBUNTU=`cat /etc/issue | grep 'Ubuntu'`
OS_ROCKY=`cat /etc/issue | grep 'Rocky'`
OS_DEEPIN=`cat /etc/issue | grep 'Deepin'`
OS_DEBIAN=`uname -a | grep 'Debian'`
OS_Linx=`cat /etc/issue | grep 'Linx'`

if [ -r "/etc/redhat-release" ]
then
OS_CENTOS=`cat /etc/redhat-release | grep 'CentOS'`
OS_CENTOS8=`cat /etc/redhat-release | grep 'CentOS Linux release 8.'`
fi

if [ -r "/etc/os-release" ]
then
OS_REDHAT=`cat /etc/os-release | grep 'Red Hat'`
OS_SUSE=`cat /etc/os-release | grep 'SUSE'`
OS_FEDORA=`cat /etc/os-release | grep 'Fedora'`
fi

#判断IP设置方式是否为手动(manual)
if [ "$OS_SUSE" != "" -o "$OS_UBUNTU" != "" ]
then
    IP_Manual=`cat /etc/NetworkManager/system-connections/* | grep 'method=manual'`
fi

if [ "$OS_Linx" != "" ]
then
    param1="iface "$netCardName" inet static"
    IP_Manual=`cat /etc/network/interfaces | grep "$param1"`
fi

if [ "$OS_CENTOS" != "" ]
then
   IP_Manual=`cat "/etc/sysconfig/network-scripts/"$1 | grep 'BOOTPROTO=none'`
fi

if [ "$OS_REDHAT" != "" ]
then
    IP_Manual=''
fi

if [ "$IP_Manual" != "" ]
then
   echo IP is static
   echo 1 > ${filePath}"IsNetStatic"
 else
    echo IP is dhcp
	echo 0 > ${filePath}"IsNetStatic"
fi

echo IP_Manual=$IP_Manual
echo netCardName=$netCardName
echo filePath=$filePath
