#!/bin/sh

#===================various function implementation===========

action_for_ubuntu20()
{
	#remove to system application repository
	rm -f /usr/share/applications/iNodeClient.desktop
	return 0
}

action_for_ubuntu19()
{
	#remove to system application repository
	rm -f /usr/share/applications/iNodeClient.desktop
	return 0
}

action_for_ubuntu18()
{
	#remove to system application repository
	rm -f /usr/share/applications/iNodeClient.desktop
	return 0
}

action_for_centos()
{
	#add to system application repository
	rm -f /usr/share/applications/iNodeClient.desktop		
	return 0
}

special_action_for_os()
{
	case "$1" in
	    "Ubuntu 20"* )
			action_for_ubuntu20
			;;
		"Ubuntu 19"* )
			action_for_ubuntu19
			;;
		"Ubuntu 18"* )
			action_for_ubuntu18
			;;
		"CentOS"* )
			action_for_centos
		;;
		*)
			echo "Nothing special for $1"
			;;
	esac		
	return 0
}

ubuntu_terminate_process()
{
	ubuntu_os=`grep -e "^.*Ubuntu.*$" /etc/issue`
	case "$ubuntu_os" in 
		"Ubuntu 19"* )
			sudo pkill -SIGKILL -f $1 >  /dev/null 2>&1
		;;
		*)
		    sudo killall -9 $1 > /dev/null 2>&1
		;;
	esac
}

linux_terminate_process()
{
	os=`grep -e "^.*Ubuntu.*$" -e "^.*Fedora.*$" -e "^.*Rocky.*$" -e "^.*Deepin.*$" -e "^.*Linx.*$" /etc/issue`
	case "$os" in
	Ubuntu*)
		ubuntu_terminate_process $1
	;;
	*)
		sudo killall -9 $1 > /dev/null 2>&1
	;;
	esac
	return 0
}


#===================main script code=========================

#check euid
if [ `id -u -r` != "0" ]
then
	echo "Please use \"sudo\" launch uninstall stript"
	exit 0
fi

OS_ROCKY=`cat /etc/issue | grep 'Rocky'`
OS_LINX=`cat /etc/issue | grep 'Linx'`
OS_UBUNTU_19=`cat /etc/issue | grep 'Ubuntu 19'`
OS_UBUNTU_20=`cat /etc/issue | grep 'Ubuntu 20'`
OS_DEBIAN=`uname -a | grep 'Debian'`
OS_NEOKYLIN=`cat /etc/issue | grep 'NeoKylin'`

if [ "$OS_ROCKY" != "" -o "$OS_LINX" != "" -o "$OS_DEBIAN" != "" ]
then
    /etc/init.d/iNodeAuthService stop
    if [ "$OS_ROCKY" != "" -o "$OS_DEBIAN" != "" ]
    then
	    rm -f /etc/rc.d/rc3.d/S080iNodeAuthService > /dev/null 2>&1
	    rm -f /etc/rc.d/rc5.d/S080iNodeAuthService > /dev/null 2>&1
	    rm -f /etc/rc.d/rc0.d/K01iNodeAuthService > /dev/null 2>&1
	    rm -f /etc/rc.d/rc1.d/K01iNodeAuthService > /dev/null 2>&1
	    rm -f /etc/rc.d/rc2.d/K01iNodeAuthService > /dev/null 2>&1
	    rm -f /etc/rc.d/rc4.d/K01iNodeAuthService > /dev/null 2>&1
	    rm -f /etc/rc.d/rc6.d/K01iNodeAuthService > /dev/null 2>&1
    fi
elif [ "$OS_UBUNTU_19" != "" ]
then
	/etc/systemd/system/iNodeAuthService stop
else
    service iNodeAuthService stop
fi

Sec=0
while [ 1 ]
do
    IfExistMon=`ps awx -o command|awk -F/ '{print $NF}'|grep -x iNodeMon`
    if [ "$IfExistMon" != "" ]
    then
        sleep 1
        Sec=`expr $Sec + 1`

        if [ "$Sec" -lt 10 ]
	    then
            #killall -9 iNodeMon > /dev/null 2>&1
			linux_terminate_process iNodeMon
        else
            #killall -9 iNodeMon
			echo "Stop iNodeMon failed"
            break
        fi
    else
        break
    fi
done

Sec=0
while [ 1 ]
do
    IfExistAuth=`ps awx -o command|awk -F/ '{print $NF}'|grep -x AuthenMngService`
    if [ "$IfExistAuth" != "" ]
    then
        sleep 1
        Sec=`expr $Sec + 1`

        if [ "$Sec" -lt 10 ]
		then
            #killall -9 AuthenMngService > /dev/null 2>&1
			linux_terminate_process AuthenMngService
        else
            #killall -9 AuthenMngService
			echo "Stop AuthenMngService failed"
            break
        fi
    else
        break
    fi
done

IfExistUI=`ps awx -o command|awk -F/ '{print $NF}'|grep -x iNodeClient`
if [ "$IfExistUI" != "" ]
then
    sleep 5
    #killall -9 iNodeClient
	linux_terminate_process iNodeClient
fi

OS_UBUNTU=`cat /etc/issue | grep 'Ubuntu'`
OS_DEEPIN=`cat /etc/issue | grep 'Deepin'`
OS_CENTOS=`cat /etc/redhat-release | grep 'CentOS'`

#launch special action for that os 
OS_ISSUE=`grep -e "^.*Ubuntu.*$" -e "^.*Fedora.*$" -e "^.*Rocky.*$" -e "^.*Deepin.*$" -e "^.*Linx.*$" /etc/issue`

if [ "$OS_ISSUE" = "" ]
then
    OS_ISSUE="$OS_CENTOS"
fi

special_action_for_os "$OS_ISSUE"


if [ "$OS_UBUNTU" != "" -o "$OS_DEEPIN" != "" ]
then
iNODE_SERVICE=`cat /etc/rc.local | grep 'iNodeAuthService'`
if [ "$iNODE_SERVICE" != "" ]
then
cp -fr /etc/rc.local /etc/rc.local.bak
sed -e '/iNodeAuthService/d' /etc/rc.local > /etc/rc.temp
mv -f /etc/rc.temp /etc/rc.local
chmod 755 /etc/rc.local
update-rc.d -f iNodeAuthService remove > /dev/null 2>&1
fi
else
  if [ "$OS_ROCKY" = "" -a "$OS_DEBIAN" = "" ]
  then
  chkconfig --del iNodeAuthService
  fi
fi

if [ -r "/etc/iNode" ]
then
rm -fr /etc/iNode
fi

rm -f /etc/init.d/iNodeAuthService

./delRun.sh

cd ../
rm -fr iNodeClient
